{% load bootstrap4 %}

<nav class="navbar navbar-expand-sm fixed-top navbar-dark">
    <a class="navbar-brand" href="/">Symbiarts</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        {% if formBuscar %}
            <form class="form-inline my-2 my-lg-0" action="{% url 'symbiarts_app:buscar_obras' %}" method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                {% bootstrap_messages %}
                {% bootstrap_form_errors formBuscar %}
                {% bootstrap_field formBuscar.cadena show_label=False placeholder='Buscar obras...' %}
                <button class="btn btn-outline-info ml-2 my-2 my-sm-0" type="submit"><i class="fas fa-search"></i> Buscar</button>
            </form>
        {% endif %}
        <ul class="navbar-nav ml-auto">
            <li class="mr-1 mt-1">
                {% with totail_items=carrito|length %}
                    {% if carrito|length > 0 %}
                        <a href="{% url 'carrito:detalle_carrito' %}">
                            <div style="position: relative;">
                                <i class="fas fa-shopping-cart fa-2x text-white"></i>
                                <span class='badge badge-warning rounded-circle'>
                                    {{ totail_items }}
                                </span>
                            </div>
                        </a>
                    {% else %}
                        <a href="{% url 'carrito:detalle_carrito' %}">
                            <i class="fas fa-shopping-cart fa-2x text-white"></i>
                        </a>
                    {% endif %}
                {% endwith %}
            </li>
            <li class="nav-item dropdown hover_menu">
                {% if user.is_authenticated %}
                    <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {{ user.username }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropleft" aria-labelledby="navbarDropdown">


                        <div class="hover_menu">
                            <a class="dropdown-item dropdown-toggle" href="#" id="menu_cuenta" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Cuenta</a>
                            <div class="dropdown-menu" aria-labelledby="menu_cuenta">
                                <a class="dropdown-item" href="{% url 'my_account' %}">Mi cuenta</a>
                            </div>
                        </div>
                        <div class="hover_menu">
                            <a class="dropdown-item dropdown-toggle" href="#" id="menu_obras" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Obras</a>
                            <div class="submenu_obras dropdown-menu" aria-labelledby="menu_obras">
                                <a class="dropdown-item" href="{% url 'symbiarts_app:mis_obras' %}">Mis Obras</a>
                                <a class="dropdown-item" href="{% url 'symbiarts_app:nueva_obra' %}">Nueva Obra</a>
                            </div>
                        </div>
                        <div class="hover_menu">
                            <a class="dropdown-item dropdown-toggle" href="#" id="menu_transacciones" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Operaciones</a>
                            <div class="submenu_transacciones dropdown-menu" aria-labelledby="menu_transacciones">
                                <a class="dropdown-item" href="{% url 'symbiarts_app:lista_compras' %}">Compras</a>
                                <a class="dropdown-item" href="{% url 'symbiarts_app:lista_ventas' %}">Ventas</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item disabled" href="#" aria-disabled="true"><span class="badge badge-secondary">Próximamente</span>Membresia</a>
                                <a class="dropdown-item disabled" href="#" aria-disabled="true"><span class="badge badge-secondary">Próximamente</span>Comisiones</a>
                                <a class="dropdown-item disabled" href="#" aria-disabled="true"><span class="badge badge-secondary">Próximamente</span>E.P</a>
                            </div>
                        </div>

                        {% if user.is_staff %}
                            <a class="dropdown-item" href="{% url 'admin:index' %}">Sección Admin</a>
                        {% endif %}
                        <a class="dropdown-item" href="{% url 'logout' %}">Cerrar sesión</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item disabled" href="#" aria-disabled="true"><span class="badge badge-secondary">Próximamente</span>Grupos</a>
                    </div>
                {% else %}
                    <a class="btn btn-secondary ml-1" href="{% url 'login' %}"><i class="fas fa-sign-in-alt"></i> Iniciar sesión</a>
                    <a class="btn btn-primary" href="{% url 'signup' %}"><i class="fas fa-clipboard-list"></i> Regístrate</a>
                {% endif %}
            </li>
        </ul>
    </div>
</nav>
